require "test/unit"
require "../app/game"
require "minitest/reporters"
MiniTest::Reporters.use!

class GameTests < MiniTest::Unit::TestCase

  # Called before every test method runs. Can be used
  # to set up fixture information.
  def setup
    # Do nothing
  end

  # Called after every test method runs. Can be used to tear
  # down fixture information.

  def teardown
    # Do nothing
  end

  def test_gutter_game
    g = Game.new
    for i in 1..20
      g.roll(0)
    end
    assert_equal(0, g.score())
  end

  def test_all_ones
    g = Game.new
    for i in 1..20
      g.roll(1)
    end
    assert_equal(20, g.score())
  end

end